QGIS Application - Feature request #3124
Add 'Apply’ button to the layer's query function
2010-10-16 01:57 PM - Jean-Roc Morreale

Status: Closed
Priority: Low
Assignee: nobody -
Category: GUI

Pull Request or Patch supplied:
Easy fix?: No

Resolution: fixed
Copied to github as #: 13184

Description

The use of the layer's 'Query’ function is difficult when used frequently : if you make a query than choose to modify it you have to open the
query window, erase the existing query, close the window, reopen the window, type the new query then close the window again.

It requires 6 steps to update the query if the new parameter concerns data previously left out, if the user doesn't follow them the query
tool will notify him that there is no data corresponding to his request due to the limited subset being actually used.

A solution would be to offer an 'Apply' button which would applied the query on the source data, discarding any previous queried subset,

without leaving the query window.

Associated revisions

Revision deffaaf5 - 2010-10-17 12:08 AM - Jiirgen Fischer

fix #3124

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14386 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision be8ab616 - 2010-10-17 12:08 AM - Jiirgen Fischer

fix #3124

git-svn-id: http://svn.osgeo.org/qgis/trunk@14386 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-16 03:10 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

With commit:be8ab616 (SVN r14387) is now left in the last successfully tested state.

#2 - 2010-10-17 02:25 AM - Jean-Roc Morreale
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

Hi Jef,
http://svn.osgeo.org/qgis/trunk/qgis@14386
http://svn.osgeo.org/qgis/trunk@14386

sorry I've not been clear, the problem is that if you want to extend your query beyond an existing queried subset, you have to open/close/open/close the

window.

ex for a table with 3 names george/bill/bob :

1. query "name" = 'george’

2. query "name" = 'george’ OR "name" = 'bill', it will return a message saying that there no feature 'bill' because the subset created by the first query left
them out

3. erase the query

4. close the window (OK)

5. open the window, write the 2nd query

6. close the window

it would be easier with an 'Apply' button similar to the one used to apply symbology changes, getting the same result with half the click

#3 - 2010-10-17 02:55 AM - Jiirgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:2 jrm]:

sorry I've not been clear, the problem is that if you want to extend your query beyond an existing queried subset, you have to open/close/open/close

the window.

Sorry, | wasn't able to reproduce that problem. The only problem there was, was that the sample button used the original query, so to see values that were
excluded by the earlier query, you needed to clear, close and reopen. Now it's works on the last successfully tested query, so you can "test" and retrieve
the values of the current query.
Other than that the query isn't incremental. The subset string is fully replaced, with the one you enter.

ex for a table with 3 names george/bill/bob :

1. query "name" = 'george’

2. query "name" = 'george’ OR "name" = 'bill', it will return a message saying that there no feature 'bill' because the subset created by the first query

left them out

<pre>

BTW just to be sure | created a point shapes with Bills and Georges and verified the above.

#4 - 2010-10-17 03:49 AM - Jean-Roc Morreale

Replying to [comment:3 jef]:

2

Sorry, | wasn't able to reproduce that problem. The only problem there was, was that the sample button used the original query, so to see values
that were excluded by the earlier query, you needed to clear, close and reopen. Now it's works on the last successfully tested query, so you can

"test" and retrieve the values of the current query.

2l
Thank for the clarification, | tried rv14387 but | did not use the 'test' button to reset the sample because | didn't understood it was its intended function.
Maybe this should be the role of 'Clear' ?
